### NAME

lrepeat - Build a list by repeating elements

### SYNOPSIS

lrepeat number element1 ?element2 element3 ...?

### DESCRIPTION

The lrepeat command creates a list of size number * number of elements by repeating number times the sequence of elements element1 element2 .... number must be a positive integer, elementn can be any Tcl value. Note that lrepeat 1 arg ... is identical to list arg ..., though the arg is required with lrepeat.

### EXAMPLES

    lrepeat 3 a  => a a a
    lrepeat 3 [lrepeat 3 0] => {0 0 0} {0 0 0} {0 0 0}
    lrepeat 3 a b c => a b c a b c a b c
    lrepeat 3 [lrepeat 2 a] b c => {a a} b c {a a} b c {a a} b c

### SEE ALSO

list, lappend, linsert, llength, lset

### KEYWORDS

element, index, list

    Copyright © 2003 by Simon Geard. All rights reserved.
    Copyright © 1995-1997 Roger E. Critchlow Jr.